/**
 * 批产合同管理接口
 */
import request from '@/utils/request'
// import qs from 'qs'

// 合同列表查询
export function getContractList(params) {
  return request({
    url: 'contract/pageList',
    method: 'get',
    params
  })
}

// 查询付款流程列表
export function getPaymentsList(id) {
  return request({
    url: 'payments/list',
    method: 'get',
    params: {
      proId: id
    }
  })
}

// 查询报销流程列表
export function getReimburseList(id) {
  return request({
    url: 'reimburse/list',
    method: 'get',
    params: {
      proId: id
    }
  })
}
// 查询基本信息，合同流程详情
export function getContractDetail(id) {
  return request({
    url: 'contract/selectById',
    method: 'get',
    params: {
      id: id
    }
  })
}
// 新增付款流程
export function addPayments(params) {
  return request({
    url: 'payments/add',
    method: 'post',
    params
  })
}
// 修改付款流程
export function updatePayments(params) {
  return request({
    url: 'payments/update',
    method: 'post',
    params
  })
}

// 新增报销流程
export function addReimburse(params) {
  return request({
    url: 'reimburse/add',
    method: 'post',
    params
  })
}
// 修改报销流程
export function updateReimburse(params) {
  return request({
    url: 'reimburse/update',
    method: 'post',
    params
  })
}

// 添加合同
export function addContract(params) {
  return request({
    url: 'contract/add',
    method: 'post',
    params
  })
}
// 修改合同基本信息
export function updateBase(params) {
  return request({
    url: 'contract/baseUpdate',
    method: 'post',
    params
  })
}
// 修改合同内网流程信息
export function updateFlow(params) {
  return request({
    url: 'contract/flowUpdate',
    method: 'get',
    params
  })
}

// 批量导入
export function batchImportContract(fileobj) {
  const param = new FormData()
  param.append('fs', fileobj)
  return request({
    url: 'contract/imp',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}
// 批量导出
export function batchExportContract(params) {
  return request({
    url: 'contract/listExp',
    method: 'post',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

